import QtQuick 2.0
import QtQml 2.12
import QtQuick.Layouts 1.12
import org.ukui.qqc2style.private 1.0 as StylePrivate
import "."

Rectangle {
    property string timeformat: trayIcon.timeformat;
    property string hour;
    property string minute;
    property string week;
    property string dateformat: trayIcon.dateformat
    property var timeStr: ""
    property var dateStr: ""

    width: 53 * Style.tabletScaleFactor
    height: parent.height
    color: "transparent"

    Timer {
        id: gettime;
        interval: 100;
        running: true;
        repeat: true;
        triggeredOnStart: true
        onTriggered: {
            timeStr = Qt.formatTime(new Date(),"hh mm AP").trim().split(/\s+/)
            dateStr = Qt.formatDate(new Date(),"MM dd ddd").trim().split(/\s+/)
            if(timeformat === "12") {
                hour = timeStr[0]
            } else {
                hour = Qt.formatTime(new Date(),"hh");
            }
            minute = timeStr[1]
            time.text = hour + ":" + minute
            ampm.text = timeStr[2]

            week.text = dateStr[2]
            if(dateformat == "cn") {
                date.text = dateStr[0] + "/" + dateStr[1]
            }
            if(dateformat == "en") {
                date.text = dateStr[0] + "-" + dateStr[1]
            }
        }
    }

    Column {
        anchors.top: parent.top
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.topMargin: timeformat === "12" ? 2 * Style.tabletScaleFactor : 3 * Style.tabletScaleFactor
        spacing: timeformat === "12" ? -10 * Style.tabletScaleFactor : -4 * Style.tabletScaleFactor
        Text {
            id: ampm
            color: StylePrivate.StyleHelper.windowtextcolorrole
            font.pointSize: 8
            font.family: StylePrivate.StyleHelper.font.family
            font.styleName: StylePrivate.StyleHelper.font.styleName
            visible: timeformat === "12" ? true : false
            anchors.horizontalCenter: parent.horizontalCenter
        }
        Text {
            id: time
            color: "#262626"; font.pointSize: 16
            font.family: StylePrivate.StyleHelper.font.family
            font.styleName: StylePrivate.StyleHelper.font.styleName
            anchors.horizontalCenter: parent.horizontalCenter
        }
        Row {
            spacing: 2 * Style.tabletScaleFactor
            anchors.horizontalCenter: parent.horizontalCenter
            Text {
                id: date
                color: "#000000"; font.pointSize: 8
                font.family: StylePrivate.StyleHelper.font.family
                font.styleName: StylePrivate.StyleHelper.font.styleName
            }
            Text {
                id: week
                color: "#000000"; font.pointSize: 8
                font.family: StylePrivate.StyleHelper.font.family
                font.styleName: StylePrivate.StyleHelper.font.styleName
            }
        }
    }

    Component.onCompleted: gettime.start();
}
